Name:           mirall
Version:        1.0.5
Release:        3%{?dist}
License:        GPLv2+
Summary:        The ownCloud Client
Url:            http://www.gitorious.org/owncloud/mirall/
Source0:        http://download.owncloud.com/download/mirall-%{version}.tar.bz2
Source1:        http://download.owncloud.com/download/csync-0.50.8.tar.bz2
Source2:        owncloud-client.desktop
Source3:        mirall.desktop

BuildRequires:  check
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  libsmbclient-devel
BuildRequires:  iniparser-devel >= 3.1
BuildRequires:  libssh-devel
BuildRequires:  log4cpp-devel
BuildRequires:  neon-devel
BuildRequires:  sqlite-devel
BuildRequires:  openssl-devel
BuildRequires:  qt4-devel 
BuildRequires:  desktop-file-utils
Requires:       iproute
Requires:       oxygen-icon-theme
Requires: %{name}-common%{?_isa} = %{version}-%{release}

%description
Mirall owncloud-client enables you to connect to your private
ownCloud Server. With it you can create folders in your home
directory, and keep the contents of those folders synced with your
ownCloud server. Simply copy a file into the directory and the 
ownCloud Client does the rest.

%package common
Summary: common files for mirall and owncloud-client

%description common
provides common files for mirall and owncloud-client
such as the configurationfile that determines the excluded files
in a sync.

%package -n owncloud-client
Summary: owncloud Standalone client
Requires: %{name}-common%{?_isa} = %{version}-%{release}

%description -n owncloud-client
The ownCloud desktop client, lets you sync directly to your ownCloud server.

%prep

%setup -q -c 
%setup -q -T -D -a 1

%build

mkdir buildcsync
mkdir buildmirall
mv %{name}-%{version} %{name}
mv csync-0.50.8 csync

##builds csync in the buildcsync directory
pushd buildcsync
%cmake \
  -DLOG_TO_CALLBACK=ON \
  -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  %{_builddir}/%{name}-%{version}/csync
make %{?_smp_mflags} %{?jobs:-j%jobs} VERBOSE=1
make doc
popd

##builds mirall in the buildmirall dir
pushd buildmirall
%cmake \ -DCMAKE_INSTALL_PREFIX=%{_prefix} \
  -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir} \
  -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" \
  %{_builddir}/%{name}-%{version}/%{name}
make %{?_smp_mflags}
popd buildmirall

%install
pushd buildmirall
make install DESTDIR=%{buildroot}
popd buildmirall

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE2} 

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE3}

%post 
/sbin/ldconfig 
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%postun 
/sbin/ldconfig 
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
fi

%files
%{_bindir}/mirall
%{_libdir}/libmirallsync.so
%{_datadir}/applications/mirall.desktop
%{_datadir}/icons/hicolor/48x48/apps/mirall.png

%files common
#%doc README.md COPYING
%{_datadir}/mirall
%config %{_sysconfdir}/exclude.lst

%files -n owncloud-client
%{_bindir}/owncloud
%{_libdir}/libowncloudsync.so
%{_datadir}/applications/owncloud-client.desktop
%{_datadir}/icons/hicolor/48x48/apps/owncloud.png

%changelog
* Sat Aug 18 2012 <jmarrero@fedoraproject.org> 1.0.5-3
- Integrated owncloud-csync so mirall will not interfier with uptream csync
- changelog and dependencies cleanup
* Sat Aug 17 2012 <jmarrero@fedoraproject.org> 1.0.5-2
- Divided mirall into mirall-common, mirall and owncloud-client
- Added dcMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed
- moved exclude.lst back to /etc/, the apps look for it there
- fixed icons descriptions
- added refresh icon cache
- updated csync dep to owncloud-csync
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 1.0.5-1
- Update to 1.0.5
- drop defattr
- remove not-needed dependencies
- changelog cleanup
- moved exclude.lst to /etc/mirall/
- fixed source01 and source 02 (icons) 
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 1.0.4-2
- added mirall icon and smp flags plus code cleanup
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 1.0.4-1
- Initial try
